import java.awt.Container;
import java.awt.GridLayout;

import javax.swing.JComponent;
import javax.swing.JFrame;

import javax.swing.JList;
import javax.swing.JScrollPane;

public class ExampleUI {
  public ExampleUI(Sorter sorter, int numberOfStrings) {
		JFrame f = new JFrame();
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		f.setTitle(sorter.getAlgorithmName());

		Container c = f.getContentPane();
		c.setLayout(new GridLayout(2, 1, 0, 1));

		String[] list = StringGenerator.createRandom(numberOfStrings);
		c.add(makeExamplePane(list));
		String[] sorted = list.clone();
		sorter.sort(sorted);
		c.add(makeExamplePane(sorted));
		f.setSize(390, 800);
		f.setVisible(true);
	}
  private static JComponent makeExamplePane(String[] list) {
    JList text = new JList(list);
    JScrollPane scroll = new JScrollPane(text);
    return scroll;
  }
}