import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;

public class StringGenerator {
	static {
		try {
			pseudoGenerator = SecureRandom.getInstance("SHA1PRNG");
			digest = MessageDigest.getInstance("SHA-1");
		} catch (NoSuchAlgorithmException e) {
			e.printStackTrace();
		}
	}
	private static MessageDigest digest;
	private static char[] digits = { 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j',
			'k', 'l', 'm', 'n', 'o', 'p' };	
	private static SecureRandom pseudoGenerator;
	private static String hexEncode(byte[] aInput) {
		StringBuffer result = new StringBuffer();	
		for (int idx = 0; idx < aInput.length; ++idx) {
			byte b = aInput[idx];
			result.append(digits[(b & 0xf0) >> 4]);
			result.append(digits[b & 0x0f]);
		}
		return result.toString();
	}
	private static String next() {
		String randomNum = new Integer(pseudoGenerator.nextInt())
				.toString();
		byte[] result = digest.digest(randomNum.getBytes());
		return hexEncode(result);
	}
	public static String[] createRandom(int numStrings) {
		String[] result = new String[numStrings];
		for(int i=0; i < numStrings; i++)
			result[i] = StringGenerator.next();
		return result;
	}
}

